Use vendor headers directory to look for oj.h

--- a/ext/oj-introspect/extconf.rb
+++ b/ext/oj-introspect/extconf.rb
@@ -5,7 +5,7 @@
 oj_version_file = Oj.const_source_location(:VERSION).first
 oj_version_file_path = Pathname.new(oj_version_file)
 
-OJ_HEADERS = oj_version_file_path.join('..', '..', '..', 'ext', 'oj').to_s
+OJ_HEADERS = RbConfig::CONFIG["vendorhdrdir"]+"/oj/"
 
 cc_version = `#{RbConfig.expand("$(CC) --version".dup)}`
 if cc_version.match?(/clang/i)
